.icon {
    display: inline-block;
}

.icon-waiting {
    height: 1rem;
    width: 1rem;
    mask-image: url("/assets/icons/arrow_circle_right_24dp_FFFFFF_FILL0_wght400_GRAD0_opsz24.svg");
    mask-size: 100%;
}

.icon-success {
    height: 1rem;
    width: 1rem;
    mask-image: url("/assets/icons/check.svg");
    mask-size: 100%;
}

.icon-failure {
    height: 1rem;
    width: 1rem;
    mask-image: url("/assets/icons/cross.svg");
    mask-size: 100%;
}

.icon-timeout {
    height: 1rem;
    width: 1rem;
    mask-image: url("/assets/icons/alarm_pause_24dp_FFFFFF_FILL0_wght400_GRAD0_opsz24.svg");
    mask-size: 100%;
}

.icon-error {
    height: 1rem;
    width: 1rem;
    mask-image: url("/assets/icons/error.svg");
    mask-size: 100%;
}

.icon-loading {
    animation: spin 2s linear infinite;
    height: 1rem;
    width: 1rem;
    mask-image: url("/assets/icons/spinner.svg");
    mask-size: 100%;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.icon-pdf {
    height: 1rem;
    width: 1rem;
    mask-image: url("/assets/icons/pdf.svg");
    mask-size: 100%;
}

.icon-jupyter {
    height: 1rem;
    width: 1rem;
    mask-image: url("/assets/icons/jupyter.svg");
    mask-size: 100%;
}

.icon-color-white {
    background-color: #ffffff;
}

.icon-color-red {
    background-color: #d16d6a;
}

.icon-color-green {
    background-color: #9dc384;
}

.icon-color-orange {
    background-color: #ecb576;
}

.icon-color-jupyter-orange {
    background-color: #f37726;
}
